summaryrefslogtreecommitdiffstats
path: root/shell
diff options
context:
space:
mode:
authorJunegunn Choi <junegunn.c@gmail.com>2016-07-11 17:47:41 +0900
committerJunegunn Choi <junegunn.c@gmail.com>2016-07-11 17:47:41 +0900
commitc36413fdf62d5f89c9586c81dc17d363ffeaa3dd (patch)
tree97cd05d190badeaab9805336aa9d4965433c43b6 /shell
parent52cf5af91c523ae2955f3272d51a80ede6e0ad33 (diff)
[zsh] Suppress error message when pipefail is not supported
Close #615
Diffstat (limited to 'shell')
-rw-r--r--shell/key-bindings.zsh6
1 files changed, 3 insertions, 3 deletions
diff --git a/shell/key-bindings.zsh b/shell/key-bindings.zsh
index b9fb6e92..0667a4cf 100644
--- a/shell/key-bindings.zsh
+++ b/shell/key-bindings.zsh
@@ -8,7 +8,7 @@ __fsel() {
-o -type f -print \
-o -type d -print \
-o -type l -print 2> /dev/null | sed 1d | cut -b3-"}"
- setopt localoptions pipefail
+ setopt localoptions pipefail 2> /dev/null
eval "$cmd | $(__fzfcmd) -m $FZF_CTRL_T_OPTS" | while read item; do
echo -n "${(q)item} "
done
@@ -35,7 +35,7 @@ bindkey '^T' fzf-file-widget
fzf-cd-widget() {
local cmd="${FZF_ALT_C_COMMAND:-"command find -L . \\( -path '*/\\.*' -o -fstype 'dev' -o -fstype 'proc' \\) -prune \
-o -type d -print 2> /dev/null | sed 1d | cut -b3-"}"
- setopt localoptions pipefail
+ setopt localoptions pipefail 2> /dev/null
cd "${$(eval "$cmd | $(__fzfcmd) +m $FZF_ALT_C_OPTS"):-.}"
local ret=$?
zle reset-prompt
@@ -48,7 +48,7 @@ bindkey '\ec' fzf-cd-widget
# CTRL-R - Paste the selected command from history into the command line
fzf-history-widget() {
local selected num
- setopt localoptions noglobsubst pipefail
+ setopt localoptions noglobsubst pipefail 2> /dev/null
selected=( $(fc -l 1 | eval "$(__fzfcmd) +s --tac +m -n2..,.. --tiebreak=index --toggle-sort=ctrl-r $FZF_CTRL_R_OPTS -q ${(q)LBUFFER}") )
local ret=$?
if [ -n "$selected" ]; then